d.geodesic(1)

NAME
d.geodesic - Displays a geodesic line, tracing the shortest distance between two geographic points along a great circle, in a longitude/latitude data set.

KEYWORDS
display, distance, great circle, shortest path

SYNOPSIS
d.geodesic
d.geodesic --help
d.geodesic coordinates=lon1,lat1,lon2,lat2 [line_color=name] [text_color=name] [units=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

coordinates=lon1,lat1,lon2,lat2 [required]
    Starting and ending coordinates

line_color=name
    Line color
    Either a standard color name or R:G:B triplet
    Default: black

text_color=name
    Text color
    Either a standard color name or R:G:B triplet

units=string
    Units
    Units
    Options: meters, kilometers, feet, miles
    Default: meters

DESCRIPTION
d.geodesic displays a geodesic line in the active frame on the user’s graphics monitor. This is also known as the great circle line and traces the shortest distance between two user-specified points on the curved surface of a longitude/latitude data set. The two coordinate locations named must fall within the boundaries of the user’s current geographic region.

OPTIONS
By default black line color and red text color will be used.

By indicating the starting and ending coordinates of the geodesic, the line and its length (by default in meters) are displayed to the graphical output. If the text color is set to none, the great circle distance is not displayed.

EXAMPLE
A geodesic line if shown over the political map of the world (demolocation dataset):

g.region vector=country_boundaries -p
d.mon wx0
d.vect country_boundaries type=area
# show additionally a 20 degree grid
d.grid 20
d.geodesic coordinates=55:58W,33:18S,26:43E,60:37N \
  line_color=yellow text_color=red units=kilometers

Geodesic line (great circle line)

NOTES
This program works only in GRASS locations with longitude/latitude coordinate system.

SEE ALSO
d.rhumbline, d.grid, m.measure

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: d.geodesic source code (history)

Accessed: Monday Apr 08 00:12:46 2024

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual